import React from 'react'
import PropTypes from 'prop-types'
import RouteTile from './RouteTile'
import styled from 'styled-components'

const Div = styled.div`
  background-color: #fff;
  margin: 1em;
  border: 1px solid #ccc;
  padding: 1em;
`

const InputPanel = ({routes, onAdd, onDelete, onClear, onUpdate}) => (
  <Div>
    {routes.map((stops, i) => (
      <RouteTile
        title={"Route " + (i+1)}
        onDelete={() => onDelete(i)} 
        onClear={() => onClear(i)} 
        onAdd={(url) => onUpdate(i, url)}
        key={i} stops={stops} />
    ))}
    <RouteTile title={"Route " + (routes.length+1)} onAdd={onAdd} stops={[]} />
  </Div>
)

InputPanel.propTypes = {
  routes: PropTypes.arrayOf(PropTypes.arrayOf(PropTypes.string)).isRequired,
  onAdd: PropTypes.func.isRequired,
  onDelete: PropTypes.func.isRequired,
  onClear: PropTypes.func.isRequired,
}

export default InputPanel
